<?php

App::uses('EvTeamAppController', 'EvTeam.Controller');

class DepartmentsController extends EvTeamAppController {

	public function beforeFilter() {
		parent::beforeFilter();
		$this->Auth->allow(array(
			'view'
		));
	}

	public function view($id) {
		$Model = $this->{$this->modelClass};
		$alias = $Model->alias;

		$currentDepartment = $Model->readForView($id);
		$departments = $Model->readForIndex($id);
		$this->Meta->set($currentDepartment);

		$this->set('page', $currentDepartment[$alias]);
		$this->set('departments', $departments);
		$this->set('teamMembers', $Model->TeamMember->getTeam($id));

		//Preparing plugin for templates.
		if ($Model->hasBehavior('EvTemplates.Template')) {
			$this->view = $this->Tpl->getTemplate($data);
		}
		if (!$this->view) {
			$this->view = 'EvTeam.TeamMembers/index';
		}
	}
}